---
name: Asignación de pines del GPIO de Raspberry Pi
pins:
  '1':
    name: Alimentación 3v3
    type: "+3v3"
  '2':
    name: Alimentación 5v
    type: "+5v"
  '3':
    name: SDA
    description: Datos I2C
    type: GPIO/I2C
    scheme:
      wiringpi: 8
      bcm: 2
      bcmAlt: 0
    functions:
      alt0: I2C1 SDA
      alt1: SMI SA3
      alt2: DPI VSYNC
      alt3: AVEOUT VSYNC
      alt4: AVEIN VSYNC
  '4':
    name: Alimentación 5v
    type: "+5v"
  '5':
    name: SCL
    description: Reloj I2C
    type: GPIO/I2C
    scheme:
      wiringpi: 9
      bcm: 3
      bcmAlt: 1
    functions:
      alt0: I2C1 SCL
      alt1: SMI SA2
      alt2: DPI HSYNC
      alt3: AVEOUT HSYNC
      alt4: AVEIN HSYNC
  '6':
    name: Masa
    type: GND
  '7':
    name: GPCLK0
    type: GPIO
    scheme:
      wiringpi: 7
      bcm: 4
    functions:
      alt0: GPCLK0
      alt1: SMI SA1
      alt2: DPI D0
      alt3: AVEOUT VID0
      alt4: AVEIN VID0
      alt5: JTAG TDI
  '8':
    name: TXD
    description: Tramisión UART
    type: GPIO/UART
    scheme:
      wiringpi: 15
      bcm: 14
    functions:
      alt0: UART0 TXD
      alt1: SMI SD6
      alt2: DSI D10
      alt3: AVEOUT VID10
      alt4: AVEIN VID10
      alt5: UART1 TXD
  '9':
    name: Masa
    type: GND
  '10':
    name: RXD
    description: Recepción UART
    type: GPIO/UART
    scheme:
      wiringpi: 16
      bcm: 15
    functions:
      alt0: UART0 RXD
      alt1: SMI SD7
      alt2: DPI D11
      alt3: AVEOUT VID11
      alt4: AVEIN VID11
      alt5: UART1 RXD
  '11':
    name: ''
    type: GPIO
    scheme:
      wiringpi: 0
      bcm: 17
    functions:
      alt0: FL1
      alt1: SMI SD9
      alt2: DPI D13
      alt3: UART0 RTS
      alt4: SPI1 CE1
      alt5: UART1 RTS
  '12':
    name: PWM0
    description: PWM0
    type: GPIO
    scheme:
      wiringpi: 1
      bcm: 18
    functions:
      alt0: PCM CLK
      alt1: SMI SD10
      alt2: DPI D14
      alt3: I2CSL SDA / MOSI
      alt4: SPI1 CE0
      alt5: PWM0
  '13':
    name: ''
    type: GPIO
    scheme:
      wiringpi: 2
      bcm: 27
      bcmAlt: 21
    functions:
      alt0: SD0 DAT3
      alt1: TE1
      alt2: DPI D23
      alt3: SD1 DAT3
      alt4: JTAG TMS
  '14':
    name: Masa
    type: GND
  '15':
    name: ''
    type: GPIO
    scheme:
      wiringpi: 3
      bcm: 22
    functions:
      alt0: SD0 CLK
      alt1: SMI SD14
      alt2: DPI D18
      alt3: SD1 CLK
      alt4: JTAG TRST
  '16':
    name: ''
    type: GPIO
    scheme:
      wiringpi: 4
      bcm: 23
    functions:
      alt0: SD0 CMD
      alt1: SMI SD15
      alt2: DPI D19
      alt3: SD1 CMD
      alt4: JTAG RTCK
  '17':
    name: Alimentación 3v3
    type: "+3v3"
  '18':
    name: ''
    type: GPIO
    scheme:
      wiringpi: 5
      bcm: 24
    functions:
      alt0: SD0 DAT0
      alt1: SMI SD16
      alt2: DPI D20
      alt3: SD1 DAT0
      alt4: JTAG TDO
  '19':
    name: MOSI
    type: GPIO/SPI
    scheme:
      wiringpi: 12
      bcm: 10
    functions:
      alt0: SPI0 MOSI
      alt1: SMI SD2
      alt2: DPI D6
      alt3: AVEOUT VID6
      alt4: AVEIN VID6
  '20':
    name: Masa
    type: GND
  '21':
    name: MISO
    type: GPIO/SPI
    scheme:
      wiringpi: 13
      bcm: 9
    functions:
      alt0: SPI0 MISO
      alt1: SMI SD1
      alt2: DPI D5
      alt3: AVEOUT VID5
      alt4: AVEIN VID5
  '22':
    name: ''
    type: GPIO
    scheme:
      wiringpi: 6
      bcm: 25
    functions:
      alt0: SD0 DAT1
      alt1: SMI SD17
      alt2: DPI D21
      alt3: SD1 DAT1
      alt4: JTAG TCK
  '23':
    name: SCLK
    type: GPIO/SPI
    scheme:
      wiringpi: 14
      bcm: 11
    functions:
      alt0: SPI0 SCLK
      alt1: SMI SD3
      alt2: DPI D7
      alt3: AVEOUT VID7
      alt4: AVEIN VID7
  '24':
    name: CE0
    description: Selector de chip SPI 0
    type: GPIO/SPI
    scheme:
      wiringpi: 10
      bcm: 8
    functions:
      alt0: SPI0 CE0
      alt1: SMI SD0
      alt2: DPI D4
      alt3: AVEOUT VID4
      alt4: AVEIN VID4
  '25':
    name: Masa
    type: GND
  '26':
    name: CE1
    description: Selector de chip SPI 1
    type: GPIO/SPI
    scheme:
      wiringpi: 11
      bcm: 7
    functions:
      alt0: SPI0 CE1
      alt1: SMI SWE_N / SRW_N
      alt2: DPI D3
      alt3: AVEOUT VID3
      alt4: AVEIN VID3
  '27':
    name: ID_SD
    description: Datos i2c HAT EEPROM
    type: GPIO/I2C
    scheme:
      wiringpi: 30
      bcm: 0
    functions:
      alt0: I2C0 SDA
      alt1: SMI SA5
      alt2: DPI CLK
      alt3: AVEOUT VCLK
      alt4: AVEIN VCLK
  '28':
    name: ID_SC
    description: Reloj i2c HAT EEPROM
    type: GPIO/I2C
    scheme:
      wiringpi: 31
      bcm: 1
    functions:
      alt0: I2C0 SCL
      alt1: SMI SA4
      alt2: DPI DEN
      alt3: AVEOUT DSYNC
      alt4: AVEIN DSYNC
  '29':
    name: ''
    type: GPIO
    scheme:
      wiringpi: 21
      bcm: 5
    functions:
      alt0: GPCLK1
      alt1: SMI SA0
      alt2: DPI D1
      alt3: AVEOUT VID1
      alt4: AVEIN VID1
      alt5: JTAG TDO
  '30':
    name: Masa
    type: GND
  '31':
    name: ''
    type: GPIO
    scheme:
      wiringpi: 22
      bcm: 6
    functions:
      alt0: GPCLK2
      alt1: SMI SOE_N / SE
      alt2: DPI D2
      alt3: AVEOUT VID2
      alt4: AVEIN VID2
      alt5: JTAG RTCK
  '32':
    name: PWM0
    type: GPIO
    scheme:
      wiringpi: 26
      bcm: 12
    functions:
      alt0: PWM0
      alt1: SMI SD4
      alt2: DPI D8
      alt3: AVEOUT VID8
      alt4: AVEIN VID8
      alt5: JTAG TMS
  '33':
    name: PWM1
    type: GPIO
    scheme:
      wiringpi: 23
      bcm: 13
    functions:
      alt0: PWM1
      alt1: SMI SD5
      alt2: DPI D9
      alt3: AVEOUT VID9
      alt4: AVEIN VID9
      alt5: JTAG TCK
  '34':
    name: Masa
    type: GND
  '35':
    name: MISO
    description: SPI Master-In
    type: GPIO/SPI
    scheme:
      wiringpi: 24
      bcm: 19
    functions:
      alt0: PCM FS
      alt1: SMI SD11
      alt2: DPI D15
      alt3: I2CSL SCL / SCLK
      alt4: SPI1 MISO
      alt5: PWM1
  '36':
    name: ''
    type: GPIO
    scheme:
      wiringpi: 27
      bcm: 16
    functions:
      alt0: FL0
      alt1: SMI SD8
      alt2: DPI D12
      alt3: UART0 CTS
      alt4: SPI1 CE2
      alt5: UART1 CTS
  '37':
    name: ''
    type: GPIO
    scheme:
      wiringpi: 25
      bcm: 26
    functions:
      alt0: SD0 DAT2
      alt1: TE0
      alt2: DPI D22
      alt3: SD1 DAT2
      alt4: JTAG TDI
  '38':
    name: MOSI
    description: SPI Master-Out
    type: GPIO/SPI
    scheme:
      wiringpi: 28
      bcm: 20
    functions:
      alt0: PCM DIN
      alt1: SMI SD12
      alt2: DPI D16
      alt3: I2CSL MISO
      alt4: SPI1 MOSI
      alt5: GPCLK0
  '39':
    name: Masa
    type: GND
  '40':
    name: SCLK
    description: Reloj SPI
    type: GPIO/SPI
    scheme:
      wiringpi: 29
      bcm: 21
    functions:
      alt0: PCM DOUT
      alt1: SMI SD13
      alt2: DPI D17
      alt3: I2CSL CE
      alt4: SPI1 SCLK
      alt5: GPCLK1
